Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TermVectorsTermsWriter Class Reference

`#include <TermVectorsTermsWriter.h>`

Inheritance diagram for Lucene::TermVectorsTermsWriter:

## Public Member Functions

| TermVectorsTermsWriter (DocumentsWriterPtr docWriter)
virtual | ~TermVectorsTermsWriter ()
virtual String | getClassName ()
boost::shared_ptr < TermVectorsTermsWriter > | shared_from_this ()
virtual TermsHashConsumerPerThreadPtr | addThread (TermsHashPerThreadPtr perThread)
virtual void | createPostings (Collection< RawPostingListPtr > postings, int32_t start, int32_t count)
virtual void | flush (MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField threadsAndFields, SegmentWriteStatePtr state)
virtual void | closeDocStore (SegmentWriteStatePtr state)
TermVectorsTermsWriterPerDocPtr | getPerDoc ()
void | fill (int32_t docID)
| Fills in no-term-vectors for all docs we haven't seen since the last doc that had term vectors. More...
void | initTermVectorsWriter ()
void | finishDocument (TermVectorsTermsWriterPerDocPtr perDoc)
bool | freeRAM ()
void | free (TermVectorsTermsWriterPerDocPtr doc)
virtual void | abort ()
virtual int32_t | bytesPerPosting ()
Public Member Functions inherited from Lucene::TermsHashConsumer
virtual | ~TermsHashConsumer ()
boost::shared_ptr < TermsHashConsumer > | shared_from_this ()
virtual void | setFieldInfos (FieldInfosPtr fieldInfos)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermsHashConsumer
static String | _getClassName ()

## Data Fields

DocumentsWriterWeakPtr | _docWriter
TermVectorsWriterPtr | termVectorsWriter
Collection < TermVectorsTermsWriterPerDocPtr > | docFreeList
int32_t | freeCount
IndexOutputPtr | tvx
IndexOutputPtr | tvd
IndexOutputPtr | tvf
int32_t | lastDocID
int32_t | allocCount
Data Fields inherited from Lucene::TermsHashConsumer
FieldInfosPtr | fieldInfos

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::TermVectorsTermsWriter::TermVectorsTermsWriter | ( | DocumentsWriterPtr | docWriter) |  |

virtual Lucene::TermVectorsTermsWriter::~TermVectorsTermsWriter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermVectorsTermsWriter::_getClassName | ( | ) |  |

inline static

virtual void Lucene::TermVectorsTermsWriter::abort | ( | ) |  |

virtual

Implements Lucene::TermsHashConsumer.

virtual TermsHashConsumerPerThreadPtr Lucene::TermVectorsTermsWriter::addThread | ( | TermsHashPerThreadPtr | perThread) |  |

virtual

Implements Lucene::TermsHashConsumer.

virtual int32_t Lucene::TermVectorsTermsWriter::bytesPerPosting | ( | ) |  |

virtual

Implements Lucene::TermsHashConsumer.

virtual void Lucene::TermVectorsTermsWriter::closeDocStore | ( | SegmentWriteStatePtr | state) |  |

virtual

Implements Lucene::TermsHashConsumer.

virtual void Lucene::TermVectorsTermsWriter::createPostings | ( | Collection< RawPostingListPtr > | postings,
|  | int32_t | start,
|  | int32_t | count
| ) |  |

virtual

Implements Lucene::TermsHashConsumer.

void Lucene::TermVectorsTermsWriter::fill | ( | int32_t | docID) |  |

Fills in no-term-vectors for all docs we haven't seen since the last doc that had term vectors.

void Lucene::TermVectorsTermsWriter::finishDocument | ( | TermVectorsTermsWriterPerDocPtr | perDoc) |  |

virtual void Lucene::TermVectorsTermsWriter::flush | ( | MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField | threadsAndFields,
|  | SegmentWriteStatePtr | state
| ) |  |

virtual

Implements Lucene::TermsHashConsumer.

void Lucene::TermVectorsTermsWriter::free | ( | TermVectorsTermsWriterPerDocPtr | doc) |  |

bool Lucene::TermVectorsTermsWriter::freeRAM | ( | ) |  |

virtual String Lucene::TermVectorsTermsWriter::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::TermsHashConsumer.

TermVectorsTermsWriterPerDocPtr Lucene::TermVectorsTermsWriter::getPerDoc | ( | ) |  |

void Lucene::TermVectorsTermsWriter::initTermVectorsWriter | ( | ) |  |

boost::shared_ptr< TermVectorsTermsWriter > Lucene::TermVectorsTermsWriter::shared_from_this | ( | ) |  |

inline

## Field Documentation

DocumentsWriterWeakPtr Lucene::TermVectorsTermsWriter::_docWriter

int32_t Lucene::TermVectorsTermsWriter::allocCount

Collection<TermVectorsTermsWriterPerDocPtr> Lucene::TermVectorsTermsWriter::docFreeList

int32_t Lucene::TermVectorsTermsWriter::freeCount

int32_t Lucene::TermVectorsTermsWriter::lastDocID

TermVectorsWriterPtr Lucene::TermVectorsTermsWriter::termVectorsWriter

IndexOutputPtr Lucene::TermVectorsTermsWriter::tvd

IndexOutputPtr Lucene::TermVectorsTermsWriter::tvf

IndexOutputPtr Lucene::TermVectorsTermsWriter::tvx

The documentation for this class was generated from the following file:

- TermVectorsTermsWriter.h

clucene.sourceforge.net